dav1d: Dav1dFrameHeader Struct Reference

dav1d

Data Structures | Data Fields
Dav1dFrameHeader Struct Reference

`#include <headers.h>`

## Data Structures
struct | Dav1dFrameHeaderOperatingPoint

## Data Fields
struct {
Dav1dFilmGrainData data
int present
int update
} | film_grain
| film grain parameters More...
enum Dav1dFrameType | frame_type
| type of the picture More...
int | width [2]
int | height
int | frame_offset
| frame number More...
int | temporal_id
| temporal id of the frame for SVC More...
int | spatial_id
| spatial id of the frame for SVC More...
int | show_existing_frame
int | existing_frame_idx
int | frame_id
int | frame_presentation_delay
int | show_frame
int | showable_frame
int | error_resilient_mode
int | disable_cdf_update
int | allow_screen_content_tools
int | force_integer_mv
int | frame_size_override
int | primary_ref_frame
int | buffer_removal_time_present
struct Dav1dFrameHeader::Dav1dFrameHeaderOperatingPoint | operating_points [DAV1D_MAX_OPERATING_POINTS]
int | refresh_frame_flags
int | render_width
int | render_height
struct {
int width_scale_denominator
int enabled
} | super_res
int | have_render_size
int | allow_intrabc
int | frame_ref_short_signaling
int | refidx [DAV1D_REFS_PER_FRAME]
int | hp
enum Dav1dFilterMode | subpel_filter_mode
int | switchable_motion_mode
int | use_ref_frame_mvs
int | refresh_context
struct {
int uniform
unsigned n_bytes
int min_log2_cols
int max_log2_cols
int log2_cols
int cols
int min_log2_rows
int max_log2_rows
int log2_rows
int rows
uint16_t col_start_sb [DAV1D_MAX_TILE_COLS+1]
uint16_t row_start_sb [DAV1D_MAX_TILE_ROWS+1]
int update
} | tiling
struct {
int yac
int ydc_delta
int udc_delta
int uac_delta
int vdc_delta
int vac_delta
int qm
int qm_y
int qm_u
int qm_v
} | quant
struct {
int enabled
int update_map
int temporal
int update_data
Dav1dSegmentationDataSet seg_data
int lossless [DAV1D_MAX_SEGMENTS]
int qidx [DAV1D_MAX_SEGMENTS]
} | segmentation
struct {
struct {
int present
int res_log2
} q
struct {
int present
int res_log2
int multi
} lf
} | delta
int | all_lossless
struct {
int level_y [2]
int level_u
int level_v
int mode_ref_delta_enabled
int mode_ref_delta_update
Dav1dLoopfilterModeRefDeltas mode_ref_deltas
int sharpness
} | loopfilter
struct {
int damping
int n_bits
int y_strength [DAV1D_MAX_CDEF_STRENGTHS]
int uv_strength [DAV1D_MAX_CDEF_STRENGTHS]
} | cdef
struct {
enum Dav1dRestorationType type [3]
int unit_size [2]
} | restoration
enum Dav1dTxfmMode | txfm_mode
int | switchable_comp_refs
int | skip_mode_allowed
int | skip_mode_enabled
int | skip_mode_refs [2]
int | warp_motion
int | reduced_txtp_set
Dav1dWarpedMotionParams | gmv [DAV1D_REFS_PER_FRAME]

## Field Documentation

## ◆ all_lossless

int Dav1dFrameHeader::all_lossless

## ◆ allow_intrabc

int Dav1dFrameHeader::allow_intrabc

## ◆ allow_screen_content_tools

int Dav1dFrameHeader::allow_screen_content_tools

## ◆ buffer_removal_time_present

int Dav1dFrameHeader::buffer_removal_time_present

## ◆

struct { ... } Dav1dFrameHeader::cdef

## ◆ col_start_sb

uint16_t Dav1dFrameHeader::col_start_sb[DAV1D_MAX_TILE_COLS+1]

## ◆ cols

int Dav1dFrameHeader::cols

## ◆ damping

int Dav1dFrameHeader::damping

## ◆ data

Dav1dFilmGrainData Dav1dFrameHeader::data

## ◆

struct { ... } Dav1dFrameHeader::delta

## ◆ disable_cdf_update

int Dav1dFrameHeader::disable_cdf_update

## ◆ enabled

int Dav1dFrameHeader::enabled

## ◆ error_resilient_mode

int Dav1dFrameHeader::error_resilient_mode

## ◆ existing_frame_idx

int Dav1dFrameHeader::existing_frame_idx

## ◆

struct { ... } Dav1dFrameHeader::film_grain

film grain parameters

## ◆ force_integer_mv

int Dav1dFrameHeader::force_integer_mv

## ◆ frame_id

int Dav1dFrameHeader::frame_id

## ◆ frame_offset

int Dav1dFrameHeader::frame_offset

frame number

## ◆ frame_presentation_delay

int Dav1dFrameHeader::frame_presentation_delay

## ◆ frame_ref_short_signaling

int Dav1dFrameHeader::frame_ref_short_signaling

## ◆ frame_size_override

int Dav1dFrameHeader::frame_size_override

## ◆ frame_type

enum Dav1dFrameType Dav1dFrameHeader::frame_type

type of the picture

## ◆ gmv

Dav1dWarpedMotionParams Dav1dFrameHeader::gmv[DAV1D_REFS_PER_FRAME]

## ◆ have_render_size

int Dav1dFrameHeader::have_render_size

## ◆ height

int Dav1dFrameHeader::height

## ◆ hp

int Dav1dFrameHeader::hp

## ◆ level_u

int Dav1dFrameHeader::level_u

## ◆ level_v

int Dav1dFrameHeader::level_v

## ◆ level_y

int Dav1dFrameHeader::level_y[2]

## ◆

struct { ... } Dav1dFrameHeader::lf

## ◆ log2_cols

int Dav1dFrameHeader::log2_cols

## ◆ log2_rows

int Dav1dFrameHeader::log2_rows

## ◆

struct { ... } Dav1dFrameHeader::loopfilter

## ◆ lossless

int Dav1dFrameHeader::lossless[DAV1D_MAX_SEGMENTS]

## ◆ max_log2_cols

int Dav1dFrameHeader::max_log2_cols

## ◆ max_log2_rows

int Dav1dFrameHeader::max_log2_rows

## ◆ min_log2_cols

int Dav1dFrameHeader::min_log2_cols

## ◆ min_log2_rows

int Dav1dFrameHeader::min_log2_rows

## ◆ mode_ref_delta_enabled

int Dav1dFrameHeader::mode_ref_delta_enabled

## ◆ mode_ref_delta_update

int Dav1dFrameHeader::mode_ref_delta_update

## ◆ mode_ref_deltas

Dav1dLoopfilterModeRefDeltas Dav1dFrameHeader::mode_ref_deltas

## ◆ multi

int Dav1dFrameHeader::multi

## ◆ n_bits

int Dav1dFrameHeader::n_bits

## ◆ n_bytes

unsigned Dav1dFrameHeader::n_bytes

## ◆ operating_points

struct Dav1dFrameHeader::Dav1dFrameHeaderOperatingPoint Dav1dFrameHeader::operating_points[DAV1D_MAX_OPERATING_POINTS]

## ◆ present

int Dav1dFrameHeader::present

## ◆ primary_ref_frame

int Dav1dFrameHeader::primary_ref_frame

## ◆

struct { ... } Dav1dFrameHeader::q

## ◆ qidx

int Dav1dFrameHeader::qidx[DAV1D_MAX_SEGMENTS]

## ◆ qm

int Dav1dFrameHeader::qm

## ◆ qm_u

int Dav1dFrameHeader::qm_u

## ◆ qm_v

int Dav1dFrameHeader::qm_v

## ◆ qm_y

int Dav1dFrameHeader::qm_y

## ◆

struct { ... } Dav1dFrameHeader::quant

## ◆ reduced_txtp_set

int Dav1dFrameHeader::reduced_txtp_set

## ◆ refidx

int Dav1dFrameHeader::refidx[DAV1D_REFS_PER_FRAME]

## ◆ refresh_context

int Dav1dFrameHeader::refresh_context

## ◆ refresh_frame_flags

int Dav1dFrameHeader::refresh_frame_flags

## ◆ render_height

int Dav1dFrameHeader::render_height

## ◆ render_width

int Dav1dFrameHeader::render_width

## ◆ res_log2

int Dav1dFrameHeader::res_log2

## ◆

struct { ... } Dav1dFrameHeader::restoration

## ◆ row_start_sb

uint16_t Dav1dFrameHeader::row_start_sb[DAV1D_MAX_TILE_ROWS+1]

## ◆ rows

int Dav1dFrameHeader::rows

## ◆ seg_data

Dav1dSegmentationDataSet Dav1dFrameHeader::seg_data

## ◆

struct { ... } Dav1dFrameHeader::segmentation

## ◆ sharpness

int Dav1dFrameHeader::sharpness

## ◆ show_existing_frame

int Dav1dFrameHeader::show_existing_frame

## ◆ show_frame

int Dav1dFrameHeader::show_frame

## ◆ showable_frame

int Dav1dFrameHeader::showable_frame

## ◆ skip_mode_allowed

int Dav1dFrameHeader::skip_mode_allowed

## ◆ skip_mode_enabled

int Dav1dFrameHeader::skip_mode_enabled

## ◆ skip_mode_refs

int Dav1dFrameHeader::skip_mode_refs[2]

## ◆ spatial_id

int Dav1dFrameHeader::spatial_id

spatial id of the frame for SVC

## ◆ subpel_filter_mode

enum Dav1dFilterMode Dav1dFrameHeader::subpel_filter_mode

## ◆

struct { ... } Dav1dFrameHeader::super_res

## ◆ switchable_comp_refs

int Dav1dFrameHeader::switchable_comp_refs

## ◆ switchable_motion_mode

int Dav1dFrameHeader::switchable_motion_mode

## ◆ temporal

int Dav1dFrameHeader::temporal

## ◆ temporal_id

int Dav1dFrameHeader::temporal_id

temporal id of the frame for SVC

## ◆

struct { ... } Dav1dFrameHeader::tiling

## ◆ txfm_mode

enum Dav1dTxfmMode Dav1dFrameHeader::txfm_mode

## ◆ type

enum Dav1dRestorationType Dav1dFrameHeader::type[3]

## ◆ uac_delta

int Dav1dFrameHeader::uac_delta

## ◆ udc_delta

int Dav1dFrameHeader::udc_delta

## ◆ uniform

int Dav1dFrameHeader::uniform

## ◆ unit_size

int Dav1dFrameHeader::unit_size[2]

## ◆ update

int Dav1dFrameHeader::update

## ◆ update_data

int Dav1dFrameHeader::update_data

## ◆ update_map

int Dav1dFrameHeader::update_map

## ◆ use_ref_frame_mvs

int Dav1dFrameHeader::use_ref_frame_mvs

## ◆ uv_strength

int Dav1dFrameHeader::uv_strength[DAV1D_MAX_CDEF_STRENGTHS]

## ◆ vac_delta

int Dav1dFrameHeader::vac_delta

## ◆ vdc_delta

int Dav1dFrameHeader::vdc_delta

## ◆ warp_motion

int Dav1dFrameHeader::warp_motion

## ◆ width

int Dav1dFrameHeader::width[2]

## ◆ width_scale_denominator

int Dav1dFrameHeader::width_scale_denominator

## ◆ y_strength

int Dav1dFrameHeader::y_strength[DAV1D_MAX_CDEF_STRENGTHS]

## ◆ yac

int Dav1dFrameHeader::yac

## ◆ ydc_delta

int Dav1dFrameHeader::ydc_delta

The documentation for this struct was generated from the following file:

- dav1d/headers.h